Subject: Re: bug#77918: 31.0.50; Warnings about missing 'lexical-binding' cookie in *Async-native-compile-log*
From: Andrea Corallo <[email-masked]>
To: Roi Martin <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Fri, 25 Apr 2025 16:37:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Roi Martin <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> Thanks it does to me.  Is it tested?
>
> It seems to work fine on my machine.  This is the contents of
> *Async-native-compile-log* after applying the patch:
>
>   Compiling /home/n/src/emacs/lisp/icomplete.el...
>   Compiling /home/n/src/emacs/lisp/emacs-lisp/subr-x.el...
>   Compiling /home/n/src/emacs/lisp/progmodes/compile.el...
>   Compiling /home/n/src/emacs/lisp/emacs-lisp/text-property-search.el...
>   Compiling /home/n/src/emacs/lisp/comint.el...
>   Compiling /home/n/src/emacs/lisp/ansi-osc.el...
>   Compiling /home/n/src/emacs/lisp/ansi-color.el...
>   Compiling /home/n/src/emacs/lisp/emacs-lisp/ring.el...
>   Compiling /home/n/src/emacs/lisp/emacs-lisp/rx.el...
>   Compiling /home/n/src/emacs/lisp/emacs-lisp/cl-lib.el...
>   Compilation finished.
>   Compiling /home/n/src/emacs/lisp/display-line-numbers.el...
>   Compilation finished.
>
> This is how one random temporary file looks like (I elided
> native-comp-eln-load-path and load-path to shorten the output):
>
>   ==> emacs-async-comp-time-date-5tSTnM.el <==
>   ;;; -*- lexical-binding: t -*-
>   (require 'comp)(setq comp-async-compilation t warning-fill-column
> most-positive-fixnum)(setq comp-file-preloaded-p 'nil
> native-comp-verbose '0 native-comp-eln-load-path '(...) load-path
> '(...) byte-compile-warnings 't)nil(message "Compiling %s..."
> "/home/n/src/emacs/lisp/calendar/time-date.el")(comp--native-compile
> "/home/n/src/emacs/lisp/calendar/time-date.el" t)
>
> Also, eln files are created under 'eln-cache' in the init directory.
>
> However, I did not run any additional test.  Is there any specific thing
> you want me to check?

Thanks I think is okay.  I've installed your patch with 3098d34bfd1.

I'm also closing the bug.

Thanks!

  Andrea